# class PerformanceNavigation

#### package js.html

Available on HTML5

The `PerformanceNavigation` interface represents information about how the navigation to the current document was done.

Documentation PerformanceNavigation by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/PerformanceNavigation

### Variables

###

`read onlyredirectCount:Int`

Is an `unsigned short` representing the number of REDIRECTs done before reaching the page.

###

`read onlytype:Int`

Is an `unsigned short` containing a constant describing how the navigation to this page was done. Possible values are:

Value Constant name Meaning

`0` | `TYPE_NAVIGATE` | The page was accessed by following a link, a bookmark, a form submission, a script, or typing the URL in the address bar.
`1` | `TYPE_RELOAD` | The page was accessed by clicking the Reload button or via the `Location.reload()` method.
`2` | `TYPE_BACK_FORWARD` | The page was accessed by navigating into the history.
`255` | `TYPE_RESERVED` | Any other way.

### Static variables

###

`staticinline read onlyTYPE_BACK_FORWARD:Int = 2`

###

`staticinline read onlyTYPE_NAVIGATE:Int = 0`

###

`staticinline read onlyTYPE_RELOAD:Int = 1`

###

`staticinline read onlyTYPE_RESERVED:Int = 255`